<?php 
	session_start();
	
	include("connexion_db.php");
	//include("varglobalesphp.php");
	
	if(isset($_GET['codeconfi']) && $_GET['codeconfi'] != '') {
	# IL VAUDRAIT MIEUX D'ABORD LOGGER LE DOC PUIS VERIFIER S'IL A LE CODECONFI DE SON ETBS #
		
			// On vérifie que le code confidentiel est correcte
			$sql = "SELECT * FROM etablissement WHERE codeconfi = '" . $_GET['codeconfi'] . "'";
			$req = cleanPDOQuery($sql);
			$num = $req->rowCount();
			
			if($num != 0) {
	
				$data = "";
				$nbpreviousargs = 0;
				
				
				// On cherche le patient selon ses catactéristtiques (nom, prenom, num dossier, chambre)
				$sql = "SELECT * FROM patient WHERE(";
				
				if(isset($_GET['nom']) && $_GET['nom'] != '') {
					if($nbpreviousargs != 0) { $sql .= 'OR ';}	
					$sql .= "UPPER(nom) = UPPER('" . htmlentities($_GET['nom']) . "') ";
					$nbpreviousargs++;
				}
				
				if(isset($_GET['prenom']) && $_GET['prenom'] != '') {
					if($nbpreviousargs != 0) { $sql .= 'OR ';}
					$sql .= "UPPER(prenom) = UPPER('" . htmlentities($_GET['prenom']) . "') ";
					$nbpreviousargs++;
				}
				
				if(isset($_GET['numchambre']) && $_GET['numchambre'] != '') {
					if($nbpreviousargs != 0) { $sql .= 'OR ';}
					$sql .= "UPPER(chambre) = UPPER('" . htmlentities($_GET['nom']) . "') ";
					$nbpreviousargs++;
				}
				
				if(isset($_GET['numdossier']) && $_GET['numdossier'] != '') {
					if($nbpreviousargs != 0) { $sql .= 'OR ';}
					$sql .= "UPPER(num_dossier) = UPPER('" . htmlentities($_GET['numdossier']) . "') ";
					$nbpreviousargs++;
				}
				
				$sql .= ") AND id_docteur = " . $_SESSION['id_docteur'] . " ORDER BY num_dossier DESC";
				
				$req = cleanPDOQuery($sql);
				$res = $req->fetch();
				$nb = $req->rowCount();
				
				if($nb != 0) {	
							
					$_SESSION['nom'] = $res['nom'];
					$_SESSION['prenom'] = $res['prenom'];
					$_SESSION['sexe'] = $res['sexe'];
					$_SESSION['id_patient'] = $res['id'];
					$_SESSION['patient_num_dossier'] = $res['num_dossier'];
					
					$resultat['nom'] = $res['nom'];
					$resultat['prenom'] = $res['prenom'];
					$resultat['sexe'] = $res['sexe'];
					$resultat['numdossier'] = $res['num_dossier'];
					
					$resultat['id_patient'] = $res['id'];
					
					############################################
					// Début de la MàJ des variables globales //
					############################################	
					
					unset($__GRILLEVALEURCLINIMETRE__);
					unset($__GRILLEVALEURGRILLE__);
					
					$sql = "SELECT * FROM caca WHERE id_grille = '" . $_SESSION['id_grille'] . "' AND id_patient = '" . $_SESSION['id_patient'] . "' AND id_docteur = '" . $_SESSION['id_docteur'] . "' AND id_etablissement = '" . $_SESSION['id_etablissement'] . "' AND caca.date <= DATE(NOW()) ORDER BY id_champ ASC, caca.date DESC";
					
					$req = cleanPDOQuery($sql);
					$valeurclinimetre = '';
					$valeurgrille = '';
					$numvaleur = $req->rowCount();
					$id_chmp = 1;
					
					if($numvaleur != 0) {
						while($res = $req->fetch()) {
							
							if($res['id_champ'] == $id_chmp) {
								
								// Traduite aux valeurs de la grille
								$resgrille = intval( $res['valeur'] * ($__LVLGRILLEMAX__ - $__LVLGRILLEMIN__) / ($__LVLCLINIMETREMAX__ + $__LVLCLINIMETREMIN__) + $__LVLGRILLEMIN__ );
								
								$__GRILLEVALEURCLINIMETRE__[] = $res['valeur'];
								$__GRILLEVALEURGRILLE__[] = $resgrille;
										
								$id_chmp++;
							}
							
						}
						
					}
					else {
						for($i = 0; $i < count($__GRILLECHAMPS__); $i++) {
						
						$__GRILLEVALEURCLINIMETRE__[] = $__LVLCLINIMETREMAX__;
						$__GRILLEVALEURGRILLE__[] = $__LVLGRILLEMAX__;
						
						}
						$resultat['etat'] = 'nokdata';
					}
					
					
					$resultat['valeurclinimetre'] = $__GRILLEVALEURCLINIMETRE__;
					$resultat['valeurgrille'] = $__GRILLEVALEURGRILLE__;
					
					##########################################
					// Fin de la MàJ des variables globales //
					##########################################
					
					// On met à jour le dernier patient du docteur
					$sql = "UPDATE docteur SET id_patient = '" . $_SESSION['id_patient'] . "' WHERE id = '" . $_SESSION['id_docteur'] . "'";
					$req = cleanPDOQuery($sql);
					
					$resultat['etat'] = 'ok';
					
					
				}
				// En cas d'erreur
				else {
					$resultat['etat'] = 'nokpatient';
				}
			}
			else {
				$resultat['etat'] = 'wrongcodeconfi';
			}
	
		header('Content-Type: application/json');
		echo json_encode($resultat);
	}
	
		
?>